### Signal

# Gtk Notebook::select-page

#### Declaration

    gboolean
    select_page (
      GtkNotebook* self,
      gboolean move_focus,
      gpointer user_data
    )

#### Description [src]

Emitted when a page should be selected.

The default binding for this signal is `␣`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`move_focus`

  Type: `gboolean`

  Whether to move focus.

#### Return value

Type: `gboolean`

Whether the page was selected.